Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Apr 2022 14:04:04 +0200

Juri Linkov <[email-masked]> writes:

> I'm not against reusing an existing option, I just can't
> connect the dots between the logic of mouse-yank-at-point
> and yanking from anywhere in the buffer.  But if OP would confirm
> that customizing mouse-yank-at-point is indeed what is expected
> then maybe this would be fine to be able to close this request?
> Otherwise, a new user option or even a new command would be fine.

I've now made this change in Emacs 29.  If it turns out to be too
surprising, or people want more configurability (for instance, they
don't want the mouse-yank-at-point action in general, but only in
isearch), then we can introduce a new user option.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no